Package org.eclipse.rdf4j.console.command

## Class Sparql

- java.lang.Object
- - org.eclipse.rdf4j.console.command.ConsoleCommand
  - - org.eclipse.rdf4j.console.command.QueryEvaluator
    - - org.eclipse.rdf4j.console.command.Sparql

- All Implemented Interfaces:
    `Command`, `Help`

      public class Sparql
      extends QueryEvaluator

  SPARQL query command
  Author:
    Bart Hanssens

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.console.command.ConsoleCommand

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Sparql​(TupleAndGraphQueryEvaluator evaluator)` | Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addQueryPrefixes​(StringBuffer result, Collection<Namespace> namespaces)` | Add namespace prefixes to query
    `String` | `getHelpLong()` | Get long description
    `String` | `getHelpShort()` | Get short description, small enough to fit on one console row
    `String` | `getName()` | Get the name of the command
    `protected boolean` | `hasQueryPrefixes​(String qry)` | Check if query string already contains query prefixes

    - ### Methods inherited from class org.eclipse.rdf4j.console.command.QueryEvaluator

      `executeQuery, usesSettings`

    - ### Methods inherited from class org.eclipse.rdf4j.console.command.ConsoleCommand

      `askProceed, execute, getConsoleIO, getConsoleSettings, getConsoleState, write, writeError, writeError, writeInfo, writeln, writeUnopenedError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sparql

          public Sparql​(TupleAndGraphQueryEvaluator evaluator)

      Constructor
      Parameters:
        `evaluator` -

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Help`
      Get the name of the command
      Returns:
        string

    - #### getHelpShort

          public String getHelpShort()

      Description copied from class: `ConsoleCommand`
      Get short description, small enough to fit on one console row
      Specified by:
        `getHelpShort` in interface `Help`
      Overrides:
        `getHelpShort` in class `ConsoleCommand`
      Returns:
        help string

    - #### getHelpLong

          public String getHelpLong()

      Description copied from class: `ConsoleCommand`
      Get long description
      Specified by:
        `getHelpLong` in interface `Help`
      Overrides:
        `getHelpLong` in class `ConsoleCommand`
      Returns:
        string, can be multiple lines

    - #### hasQueryPrefixes

          protected boolean hasQueryPrefixes​(String qry)

      Description copied from class: `QueryEvaluator`
      Check if query string already contains query prefixes
      Specified by:
        `hasQueryPrefixes` in class `QueryEvaluator`
      Parameters:
        `qry` - query string
      Returns:
        true if namespaces are already used

    - #### addQueryPrefixes

          protected void addQueryPrefixes​(StringBuffer result,
                                          Collection<Namespace> namespaces)

      Description copied from class: `QueryEvaluator`
      Add namespace prefixes to query
      Specified by:
        `addQueryPrefixes` in class `QueryEvaluator`
        `namespaces` - collection of known namespaces